"use strict";
Object.defineProperty(exports, "useColumnView", {
    enumerable: true,
    get: ()=>useColumnView
});
const _react = require("react");
const _redux = require("../redux");
const _buildInitialState = require("../utils/buildInitialState");
const _buildSection = require("../utils/buildSection");
const useColumnView = (options)=>{
    const { path: initialPath , initialState  } = options || {};
    const { reducer: stateReducer , actions  } = (0, _react.useMemo)(()=>(0, _redux.createMainSlice)(), []);
    const [{ root , nodes , path  }, dispatch] = (0, _react.useReducer)(stateReducer, (0, _buildInitialState.buildInitialState)(initialState != null ? initialState : [], initialPath));
    const select = (0, _react.useCallback)((itemId)=>dispatch(actions.select({
            itemId
        })), [
        dispatch
    ]);
    const insert = (0, _react.useCallback)((item, parentId)=>dispatch(actions.insertItem({
            item,
            parentId
        })), [
        dispatch
    ]);
    const push = (0, _react.useCallback)((itemId, section)=>dispatch(actions.push({
            itemId,
            section
        })), [
        dispatch
    ]);
    return [
        {
            nodes,
            insert,
            path: (0, _buildSection.buildSection)(path, {
                root,
                push,
                path,
                nodes
            }),
            root: (0, _buildSection.buildSection)(root, {
                root,
                push,
                path,
                nodes
            }),
            select
        },
        dispatch
    ];
};

//# sourceMappingURL=index.js.map