"use strict";
Object.defineProperty(exports, "buildInitialState", {
    enumerable: true,
    get: ()=>buildInitialState
});
const _extends = require("@swc/helpers/lib/_extends.js").default;
const _lodash = require("lodash");
const buildInitialState = (initialNodes, initialPath)=>{
    if (!initialNodes) {
        return {
            nodes: {},
            path: [],
            root: []
        };
    }
    const nodes = initialNodes.reduce((acc, item)=>{
        var _initialNodes_find;
        const parentId = (_initialNodes_find = initialNodes.find((node)=>node.children.includes(item.id))) == null ? void 0 : _initialNodes_find.id;
        acc[item.id] = _extends({}, item, {
            parentId,
            original: (0, _lodash.omit)(item, [
                'children'
            ])
        });
        return acc;
    }, {});
    return {
        path: initialPath != null ? initialPath : [],
        root: (0, _lodash.values)(nodes).filter((node)=>!node.parentId).map((node)=>node.id),
        nodes
    };
};

//# sourceMappingURL=index.js.map